> For the complete documentation index, see [llms.txt](https://docs.tupayonline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tupayonline.com/english/api-documentation/cashout.md).

# Cashout

Find below the description of a withdrawal flow using the Tupay withdrawal integration.

At your customer's request, you send a withdrawal request through the Withdrawal Request API or through the Merchant panel (Transactions -> Withdrawals -> Request Withdrawal).

Initial validations are performed by the API, such as: Merchant account balance sufficient to cover the withdrawal Merchant account transaction/daily/monthly/monthly limits allow the withdrawal Target bank account details are correct. Customer data is correct. E.g. Document ID.

If the above step is correct, the withdrawal is created and remains in PENDING status, otherwise it is REJECTED. If it is PENDING, it will be sent to the bank for processing; when that happens, the status will be set to DELIVERED.

Once the transaction comes back from the bank, it can be COMPLETED or REJECTED (by the bank).

There are some cases where the bank might confirm the withdrawal and then reject it because the recipient's bank account, for some reason, could not receive the funds. This is a corner case, but should be considered when performing the integration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tupayonline.com/english/api-documentation/cashout.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
